Bug 1397751 (CVE-2016-9534) - CVE-2016-9534 libtiff: TIFFFlushData1 heap-buffer-overflow
Summary: CVE-2016-9534 libtiff: TIFFFlushData1 heap-buffer-overflow
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-9534
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1397781 1397782 1397783 1412078 1412079 1412080 1412081
Blocks: 1389235
TreeView+ depends on / blocked
 
Reported: 2016-11-23 10:12 UTC by Adam Mariš
Modified: 2020-03-11 15:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 10:19:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0225 normal SHIPPED_LIVE Moderate: libtiff security update 2017-02-01 15:03:24 UTC

Description Adam Mariš 2016-11-23 10:12:21 UTC
It was found that tif_write.c in libtiff 4.0.6 has an issue in the error code path of TIFFFlushData1() that didn't reset the tif_rawcc and tif_rawcp members.

Upstream patch:

https://github.com/vadz/libtiff/commit/83a4b92815ea04969d494416eaae3d4c6b338e4a#diff-5be5ce02d0dea67050d5b2a10102d1ba

Comment 1 Adam Mariš 2016-11-23 10:56:27 UTC
Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1397781]

Comment 2 Adam Mariš 2016-11-23 10:56:33 UTC
Created mingw-libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1397782]
Affects: epel-7 [bug 1397783]

Comment 5 errata-xmlrpc 2017-02-01 10:04:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2017:0225 https://rhn.redhat.com/errata/RHSA-2017-0225.html


Note You need to log in before you can comment on or make changes to this bug.